<?php

$luzukSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'gurukul' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'luzuk_premium_slider_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'luzuk_premium_slider_show_content',
		array(
			'settings'      => 'luzuk_premium_slider_show_content',
			'section'       => 'luzuk_premium_slider_section',
			'label'         => __( 'Hide Title and description on slider', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			),
		)
	)
);

$wp_customize->add_setting('luzuk_premium_slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'luzuk_premium_slider_section_lbl',
		array(
			'settings'		=> 'luzuk_premium_slider_section_lbl',
			'section'		=> 'luzuk_premium_slider_section',
			'label'			=> __( 'Note:', 'gurukul' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 1900X600', 'gurukul' ),
		)
	)
);

// Slider Sub Title color
addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'luzuk_premium_slider_section', 'Slider Sub Title Color', '#fff');

// Slider Sub Title background color
addColorPalatOption($wp_customize, 'slider_SubtitlebgColor', 'luzuk_premium_slider_section', 'Slider Sub Title Background Color', '#D79800');


// Slider Title color
addColorPalatOption($wp_customize, 'slider_TitleColor', 'luzuk_premium_slider_section', 'Slider Title Color', '#fff');

// Slider Button Text color
addColorPalatOption($wp_customize, 'slider_buttontextColor', 'luzuk_premium_slider_section', 'Slider Button Text Color', '#fff');
// Slider Button border color
//addColorPalatOption($wp_customize, 'slider_buttonborderColor', 'luzuk_premium_slider_section', 'Slider Button Border Color', '#fff');

// Slider Button Text hover color
addColorPalatOption($wp_customize, 'slider_buttontexthoverColor', 'luzuk_premium_slider_section', 'Slider Button Text Hover Color', '#fff');

// Slider Button Background hover color
addColorPalatOption($wp_customize, 'slider_buttonbghoverColor', 'luzuk_premium_slider_section', 'Slider Button Background Hover Color', '#D79800');

// Slider Button border hover color
addColorPalatOption($wp_customize, 'slider_buttonborderhoverColor', 'luzuk_premium_slider_section', 'Slider Button Border hover Color', '#D79800');


// Slider content box color
//addColorPalatOption($wp_customize, 'slider_ContentboxColor', 'luzuk_premium_slider_section', 'Slider Content Box Color', '#D79800');

// Slider content box border color
//addColorPalatOption($wp_customize, 'slider_ContentboxborderColor', 'luzuk_premium_slider_section', 'Slider Content Box Border Color', '#D79800');